Name		: clamav
Version		: 0.92
Release		: 0.F8

License		: GPL 	
Summary		: Clam AntiVirus is an anti-virus toolkit for UNIX/Linux
# See http://fedoraproject.org/wiki/RPMGroups for a list of valid RPM Groups
Group		: Applications/System

URL  		: http://clamav.net
Vendor		: Clam AntiVirus
Packager	: Thomas Chung <tchung@fedoranews.org>

BuildRoot	: %{_tmppath}/%{name}-%{version}-buildroot
Source0		: %{name}-%{version}.tar.gz
Source1		: clamd.init
Source2		: freshclam.init
Source3		: clamd.conf
Source4		: freshclam.conf

BuildRequires   : zlib, zlib-devel
AutoReq		: No
AutoProv	: No

%description
Clam AntiVirus is an anti-virus toolkit for UNIX/Linux, designed for e-mail scanning 
on mail gateways. It provides a flexible and scalable multi-threaded daemon, a command
line scanner, and an advanced tool for automatic database updating via Internet.
The package also includes a virus scanner shared library.

%prep
rm -rf %{buildroot} 

%setup -q
#######################################################################
# setup macro
# -a num  : Only unpack source number after changing to the directory
# -b num  : Only unpack source number before changing to the directory
# -c      : Create directory before unpacking.
# -D      : Do not delete the directory before unpacking
# -n name : Name the directory as name
# -q      : Run quiety with minimum output
# -T      : Disable the automatic unpacking of the archives.
#######################################################################

%build

./configure --disable-zlib-vcheck --disable-clamav --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man
make

%install
#########################################################
# Built-in Macros
# %_prefix          /usr
# %_exec_prefix     %{_prefix} 
# %_bindir          %{_exec_prefix}/bin
# %_sbindir         %{_exec_prefix}/sbin
# %_libexedir       %{_exec_prefix}/libexec
# %_datadir         %{_prefix}/share
# %_sysconfdir      %{_prefix}/etc
# %_sharedstatedir  %{_prefix}/com
# %_localstatedir   %{_prefix}/var
# %_libdir          %{_exec_prefix}/lib
# %_includedir      %{_prefix}/include
# %_oldincludedir   /usr/include
# %_infodir         %{_prefix}/info
# %_mandir          %{_prefix}/man
# %_docdir          %{_prefix}/doc
##########################################################
make install DESTDIR=%{buildroot}
install -D -m755 %{SOURCE1} %{buildroot}/etc/init.d/clamd
install -D -m755 %{SOURCE2} %{buildroot}/etc/init.d/freshclam
install -D -m755 %{SOURCE3} %{buildroot}/etc/clamd.conf
install -D -m755 %{SOURCE4} %{buildroot}/etc/freshclam.conf
mkdir -p  %{buildroot}/var/log/clamav
mkdir -p  %{buildroot}/var/lib/clamav
mkdir -p  %{buildroot}/var/run/clamav
cp -a %{buildroot}/usr/share/clamav/*.cvd %{buildroot}/var/lib/clamav

%clean
rm -rf %{buildroot}

%post
useradd -s /sbin/nologin -c "Clam AntiVirus" clamav
chown -R clamav:clamav /var/log/clamav
chown -R clamav:clamav /var/lib/clamav
chown -R clamav:clamav /var/run/clamav
chkconfig --add clamd
chkconfig --add freshclam

%preun
chkconfig --del clamd
chkconfig --del freshclam
rm -rf /var/log/clamav
rm -rf /var/lib/clamav
rm -rf /var/run/clamav
userdel clamav

%files
#####################################################
# defattr sets the default attributes for all files
#####################################################
%defattr(-,root,root)
%doc docs test 
%doc AUTHORS BUGS ChangeLog COPYING FAQ INSTALL NEWS README UPGRADE
%{_sysconfdir}/init.d/clamd
%{_sysconfdir}/init.d/freshclam
%config %{_sysconfdir}/clamd.conf
%config %{_sysconfdir}/freshclam.conf
%{_bindir}/*
%{_includedir}/*
%{_libdir}/libclamav.*
%{_libdir}/pkgconfig/libclamav.*
%{_sbindir}/*
%{_datadir}/clamav
%{_mandir}/man?/*
/var/log/clamav
/var/lib/clamav
/var/run/clamav

%changelog
* Sat Feb 26 2005 Thomas Chung <tchung@fedoranews.org> 0.83-0.FC1
- Initial RPM build for FC1
